%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define gecko_ver 1.8.1.14

Name:           Miro
Version:        1.2.3
Release:        1%{?dist}
Summary:        Miro - Internet TV Player
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.getmiro.com/
Source0:        http://ftp.osuosl.org/pub/pculture.org/miro/src/%{name}-%{version}.tar.gz
Patch0:         %{name}-1.1-utf8.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel xine-lib-devel Pyrex 
BuildRequires:  boost-devel qt-devel pygtk2-devel libXcursor-devel libXv-devel openssl-devel
BuildRequires:  gecko-devel = %{gecko_ver} gettext libXfixes-devel gtk2-devel

Requires:       gecko-libs = %{gecko_ver} xine-lib gnome-python2-gtkmozembed 
Requires:       gnome-python2-gconf dbus-python 
Provides:       Democracy = %{version}-%{release}
Obsoletes:      Democracy < 1.0

%description
Miro is a free application that turns your computer into an
internet TV video player. This release is still a beta version, which means 
that there are some bugs, but we're moving quickly to fix them and will be 
releasing bug fixes on a regular basis.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
cd platform/gtk-x11 && CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
# fix EOL
sed -ie 's|\r$||g' CREDITS
# remove shebangs from scripts
cd platform/gtk-x11 && \
  find build/lib* -name '*.py' -exec sed -i "1{/^#!/d}" {} \; && \
  %{__python} setup.py install -O1 --skip-build --root %{buildroot}
%find_lang miro

 
%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications &> /dev/null ||:

%postun
update-desktop-database %{_datadir}/applications &> /dev/null ||:


%files -f platform/gtk-x11/miro.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_libexecdir}/xine_extractor
%{_datadir}/miro
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_mandir}/man1/*
%{_datadir}/mime/packages/*.xml
%if 0%{?fedora} >= 9
%{python_sitearch}/*egg-info
%endif
%{python_sitearch}/miro/
%doc README license.txt CREDITS 


%changelog
* Tue Apr 29 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.2.3-1
- Update to new upstream release (1.2.3)

* Wed Apr 16 2008 Christopher Aillon <caillon@redhat.com> - 1.2-2
- Rebuild against newer gecko

* Sat Mar 29 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.2-1
- Update to latest upstream (1.2)

* Tue Mar 25 2008 Christopher Aillon <caillon@redhat.com> 1.1.2-2
- Rebuild against newer gecko

* Tue Mar 11 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.1.2-1
- Update to upstream 1.1.2 release

* Fri Feb  8 2008 Christopher Aillon <caillon@redhat.com> 1.1-3
- Rebuild against newer gecko

* Fri Jan 25 2008 Michel Salim <michel.sylvan@gmail.com> - 1.1-2
- Fix charset mismatch in download window
- Remove shebangs from scripts
- Sanitize end-of-line markers

* Thu Jan 17 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.1-1
- Update to upstream 1.1 release
- Add BuildRequires: openssl-devel

* Mon Nov 26 2007 Alex Lancaster <alexlan[AT]fedoraproject org> 1.0-2
- Build against gecko-libs 1.8.1.10 (firefox 2.0.0.10)

* Fri Nov 16 2007 Alex Lancaster <alexlan[AT]fedoraproject org> 1.0-1
- Update to latest upstream (1.0).

* Fri Nov 09 2007 Alex Lancaster <alexlan[AT]fedoraproject org> 0.9.9.9-1
- Update to latest upstream (0.9.9.9)
- Build against gecko-libs 1.8.1.9 (firefox 2.0.0.9)
- Include xine_extractor in package (thanks to Jason Farrell)
- Drop Miro-setup.py.patch

* Thu Nov 01 2007 Alex Lancaster <alexlan[AT]fedoraproject org> 0.9.9.1-6
- Update patch with workaround suggested on:
  http://bugzilla.pculture.org/show_bug.cgi?id=8579

* Wed Oct 31 2007 Alex Lancaster <alexlan[AT]fedoraproject org> 0.9.9.1-5
- Add setup.py patch to ignore call to svn.

* Tue Oct 30 2007 Alex Lancaster <alexlan[AT]fedoraproject org> 0.9.9.1-3
- Add BuildRequires: libXv-devel
- Drop dbus patch

* Sun Oct 28 2007 Alex Lancaster <alexlan[AT]fedoraproject org> 0.9.9.1-1
- Update to latest upstream (0.9.9.1)

* Fri Oct 26 2007 Alex Lancaster <alexlan[AT]fedoraproject org> 0.9.8.1-8
- Replace Requires and BuildRequires for firefox with gecko to 
  smooth eventual xulrunner transition 

* Thu Oct 25 2007 Alex Lancaster <alexlan[AT]fedoraproject org> 0.9.8.1-7
- Rebuild for new Firefox (2.0.0.8)
- License: GPLv2+ to conform with Fedora licensing guidelines

* Thu Sep 20 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.8.1-3
- new Firefox dep

* Wed Aug 15 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.8.1-2
- made Democracy obsolte with this release

* Tue Aug 14 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.8.1-1
- new upstream version and new naming
- fix to solve the python/dbus problem

* Fri Jun 22 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.6-2
- new upstream version

* Fri Jun 22 2007 Thorsten Scherf <tscherf@redhat.com> 0.9.6-1
- new upstream version

